<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>EGT</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="declaration: package: fr.ici.dataImporter.mobile, class: EGT">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":41};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/EGT.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.ici.dataImporter.mobile</a></div>
<h1 title="Class EGT" class="title">Class EGT</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">fr.ici.dataImporter.mobile.EGT</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="type-name-label">EGT</span>
extends java.lang.Object</pre>
<div class="block">This class will contain methods to process Étude Globale Transport (EGT) data.</div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field.summary">
<h2>Field Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Fields</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Field</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>(package private) static java.util.List&lt;java.lang.String&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#ages">ages</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>(package private) static java.util.HashMap&lt;java.lang.String,&#8203;java.lang.Integer&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#cacheAge">cacheAge</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>(package private) static java.util.List&lt;java.lang.String&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#hours">hours</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>(package private) static double</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#popLost">popLost</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>(package private) static java.util.List&lt;java.lang.String&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#reasons">reasons</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>(package private) static java.util.List&lt;java.lang.String&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#typeDays">typeDays</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E()">EGT</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="table-tab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t6" class="table-tab" onclick="show(32);">Deprecated Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>static java.util.HashMap&lt;java.lang.String,&#8203;org.ejml.data.DMatrixRMaj&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#generateMatrixODfromEGT_DB(java.io.File,java.io.File,boolean)">generateMatrixODfromEGT_DB</a></span>&#8203;(java.io.File&nbsp;agregFile,
java.io.File&nbsp;outFolder,
boolean&nbsp;export)</code></th>
<td class="col-last">
<div class="block">Construct Origin-Destination matrix from EGT information stored in a database.</div>
</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>static java.util.HashMap&lt;java.lang.String,&#8203;org.ejml.data.DMatrixRMaj&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#generateMatrixODfromEGT_DB(java.io.File,java.io.File,java.lang.String,boolean)">generateMatrixODfromEGT_DB</a></span>&#8203;(java.io.File&nbsp;agregFile,
java.io.File&nbsp;outFolder,
java.lang.String&nbsp;age,
boolean&nbsp;export)</code></th>
<td class="col-last">
<div class="block">Construct Origin-Destination matrix from EGT information stored in a database.</div>
</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>static java.util.HashMap&lt;java.lang.String,&#8203;org.ejml.data.DMatrixRMaj&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#generateMatrixODfromEGT_DB(java.io.File,java.io.File,java.lang.String,java.lang.String,boolean)">generateMatrixODfromEGT_DB</a></span>&#8203;(java.io.File&nbsp;agregFile,
java.io.File&nbsp;outFolder,
java.lang.String&nbsp;age,
java.lang.String&nbsp;reason,
boolean&nbsp;export)</code></th>
<td class="col-last">
<div class="block">Construct Origin-Destination matrix from EGT information stored in a database.</div>
</td>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><code>static org.ejml.data.DMatrixRMaj</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#generateMatrixODfromEGT_DB(java.io.File,java.io.File,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.sql.Connection,boolean)">generateMatrixODfromEGT_DB</a></span>&#8203;(java.io.File&nbsp;agregFile,
java.io.File&nbsp;outFolder,
java.lang.String&nbsp;age,
java.lang.String&nbsp;typeDay,
java.lang.String&nbsp;hour,
java.lang.String&nbsp;reason,
java.sql.Connection&nbsp;c,
boolean&nbsp;export)</code></th>
<td class="col-last">
<div class="block">Construct Origin-Destination matrix from EGT information stored in a database.</div>
</td>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#main(java.lang.String%5B%5D)">main</a></span>&#8203;(java.lang.String[]&nbsp;args)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i5">
<td class="col-first"><code>static java.io.File</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#mergeTheirCSV(java.io.File)">mergeTheirCSV</a></span>&#8203;(java.io.File&nbsp;rootFile)</code></th>
<td class="col-last">
<div class="block"><span class="deprecated-label">Deprecated.</span>
<div class="deprecation-comment">join method not fully working</div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ FIELD DETAIL =========== -->
<li>
<section class="field-details" id="field.detail">
<h2>Field Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="ages">
<h3>ages</h3>
<div class="member-signature"><span class="modifiers">static</span>&nbsp;<span class="return-type">java.util.List&lt;java.lang.String&gt;</span>&nbsp;<span class="member-name">ages</span></div>
</section>
</li>
<li>
<section class="detail" id="hours">
<h3>hours</h3>
<div class="member-signature"><span class="modifiers">static</span>&nbsp;<span class="return-type">java.util.List&lt;java.lang.String&gt;</span>&nbsp;<span class="member-name">hours</span></div>
</section>
</li>
<li>
<section class="detail" id="reasons">
<h3>reasons</h3>
<div class="member-signature"><span class="modifiers">static</span>&nbsp;<span class="return-type">java.util.List&lt;java.lang.String&gt;</span>&nbsp;<span class="member-name">reasons</span></div>
</section>
</li>
<li>
<section class="detail" id="typeDays">
<h3>typeDays</h3>
<div class="member-signature"><span class="modifiers">static</span>&nbsp;<span class="return-type">java.util.List&lt;java.lang.String&gt;</span>&nbsp;<span class="member-name">typeDays</span></div>
</section>
</li>
<li>
<section class="detail" id="cacheAge">
<h3>cacheAge</h3>
<div class="member-signature"><span class="modifiers">static</span>&nbsp;<span class="return-type">java.util.HashMap&lt;java.lang.String,&#8203;java.lang.Integer&gt;</span>&nbsp;<span class="member-name">cacheAge</span></div>
</section>
</li>
<li>
<section class="detail" id="popLost">
<h3>popLost</h3>
<div class="member-signature"><span class="modifiers">static</span>&nbsp;<span class="return-type">double</span>&nbsp;<span class="member-name">popLost</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;()">
<h3>EGT</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">EGT</span>()</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="main(java.lang.String[])">
<h3>main</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">main</span>&#8203;(<span class="parameters">java.lang.String[]&nbsp;args)</span>
                 throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="mergeTheirCSV(java.io.File)">
<h3>mergeTheirCSV</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.io.File</span>&nbsp;<span class="member-name">mergeTheirCSV</span>&#8203;(<span class="parameters">java.io.File&nbsp;rootFile)</span>
                                  throws <span class="exceptions">java.io.IOException</span></div>
<div class="deprecation-block"><span class="deprecated-label">Deprecated.</span>
<div class="deprecation-comment">join method not fully working</div>
</div>
<div class="block">Merge the .csv of EGT.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>rootFile</code> - file where csv are stored</dd>
<dt>Returns:</dt>
<dd>the joined csv.</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - reading every csv files</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="generateMatrixODfromEGT_DB(java.io.File,java.io.File,boolean)">
<h3>generateMatrixODfromEGT_DB</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.HashMap&lt;java.lang.String,&#8203;org.ejml.data.DMatrixRMaj&gt;</span>&nbsp;<span class="member-name">generateMatrixODfromEGT_DB</span>&#8203;(<span class="parameters">java.io.File&nbsp;agregFile,
java.io.File&nbsp;outFolder,
boolean&nbsp;export)</span>
                                                                                                throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Construct Origin-Destination matrix from EGT information stored in a database. Fastest way to construct those matrices.
 Matrix are built for every kind of days, every ages, evry time of arrival and any reasons.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>agregFile</code> - file with geographical aggregates</dd>
<dd><code>outFolder</code> - folder where to write every outputs</dd>
<dt>Returns:</dt>
<dd>given matrix</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - reading aggregate file</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="generateMatrixODfromEGT_DB(java.io.File,java.io.File,java.lang.String,boolean)">
<h3>generateMatrixODfromEGT_DB</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.HashMap&lt;java.lang.String,&#8203;org.ejml.data.DMatrixRMaj&gt;</span>&nbsp;<span class="member-name">generateMatrixODfromEGT_DB</span>&#8203;(<span class="parameters">java.io.File&nbsp;agregFile,
java.io.File&nbsp;outFolder,
java.lang.String&nbsp;age,
boolean&nbsp;export)</span>
                                                                                                throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Construct Origin-Destination matrix from EGT information stored in a database. Fastest way to construct those matrices.
 Matrix are built for every kind of days, every ages, evry time of arrival and any reasons.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>agregFile</code> - file with geographical aggregates</dd>
<dd><code>outFolder</code> - folder where to write every outputs</dd>
<dd><code>age</code> - wanted age</dd>
<dt>Returns:</dt>
<dd>given matrix</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - reading aggregate file</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="generateMatrixODfromEGT_DB(java.io.File,java.io.File,java.lang.String,java.lang.String,boolean)">
<h3>generateMatrixODfromEGT_DB</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.HashMap&lt;java.lang.String,&#8203;org.ejml.data.DMatrixRMaj&gt;</span>&nbsp;<span class="member-name">generateMatrixODfromEGT_DB</span>&#8203;(<span class="parameters">java.io.File&nbsp;agregFile,
java.io.File&nbsp;outFolder,
java.lang.String&nbsp;age,
java.lang.String&nbsp;reason,
boolean&nbsp;export)</span>
                                                                                                throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Construct Origin-Destination matrix from EGT information stored in a database. Fastest way to construct those matrices.
 Matrix are built for every kind of days, every ages, evry time of arrival and any reasons.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>agregFile</code> - file with geographical aggregates</dd>
<dd><code>outFolder</code> - folder where to write every outputs</dd>
<dt>Returns:</dt>
<dd>given matrix</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - reading aggregate file</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="generateMatrixODfromEGT_DB(java.io.File,java.io.File,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.sql.Connection,boolean)">
<h3>generateMatrixODfromEGT_DB</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">org.ejml.data.DMatrixRMaj</span>&nbsp;<span class="member-name">generateMatrixODfromEGT_DB</span>&#8203;(<span class="parameters">java.io.File&nbsp;agregFile,
java.io.File&nbsp;outFolder,
java.lang.String&nbsp;age,
java.lang.String&nbsp;typeDay,
java.lang.String&nbsp;hour,
java.lang.String&nbsp;reason,
java.sql.Connection&nbsp;c,
boolean&nbsp;export)</span>
                                                            throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Construct Origin-Destination matrix from EGT information stored in a database. Fastest way to construct those matrices.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>agregFile</code> - file with geographical aggregates</dd>
<dd><code>age</code> - wanted age inclusive bound (must be separated by a '-')</dd>
<dd><code>typeDay</code> - type of day. Must be related to the database's name</dd>
<dd><code>hour</code> - Hour of arrival.</dd>
<dd><code>reason</code> - Reason for the arrival.</dd>
<dd><code>outFolder</code> - folder where to write every outputs</dd>
<dd><code>c</code> - Connection to EGT stored in database</dd>
<dt>Returns:</dt>
<dd>given matrix</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - reading aggregate file</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/EGT.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
